
%if 0%{?fedora} > 16
%global qwt_dep pkgconfig(qwt5-qt4)
%else
%global qwt_dep qwt-devel
%endif

Name:           PyQwt
Version:        5.2.0
Release:        20%{?dist}
Summary:        Python bindings for Qwt

Group:          Development/Languages
# GPLv2+ exceptions (see COPYING.PyQwt)
License:        GPLv2+ with exceptions
URL:            http://pyqwt.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pyqwt/%{name}-%{version}.tar.gz

# manually link libqwt, don't hardcode -lqwt
Patch1: PyQwt-5.2.0-qwt_manual_link.patch

BuildRequires:  python2-devel
BuildRequires:  sip-devel
BuildRequires:  PyQt4-devel
BuildRequires:  numpy-f2py
BuildRequires:  %{qwt_dep}

Requires:       PyQt4%{?_isa}
Requires:       numpy%{?_isa}
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

# prevent rpm's auto-generated provides mechanism to include PyQwt's private
# libraries
%{?filter_setup:
%filter_provides_in %{python_sitearch}/PyQt4/Qwt5/.*\.so$
%filter_setup
}

%description
PyQwt is a set of Python bindings for the Qwt C++ class library which extends
the Qt framework with widgets for scientific and engineering applications. It
provides a widget to plot 2-dimensional data and various widgets to display and
control bounded or unbounded floating point values.

%package devel
Summary: Files needed to build other bindings on PyQwt
Group:   Development/Languages
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: PyQt4-devel%{?_isa}
Requires: %{qwt_dep} 
%description devel
Files needed to build other bindings for Qwt C++ classes that inherit from
any of the PyQwt classes.


%prep
%setup -q

%patch1 -p1 -b .manual_link_qwt

# mark examples non-executable
find qt4examples/ -name "*.py" | xargs chmod a-x


%build
QWTINC="%(pkg-config --cflags-only-I qwt5-qt4 2>/dev/null || echo "%{_includedir}/qwt")"
QWTLIB="%(pkg-config --libs qwt5-qt4 2>/dev/null || echo "-lqwt")"
pushd configure
%{__python} configure.py $QWTINC $QWTLIB --disable-numarray --disable-numeric
popd

make %{?_smp_mflags} -C configure


%install
make DESTDIR=%{buildroot} install -C configure
# move the generated pdf and html documentation to devel-doc directory
mkdir devel-doc
mv sphinx/build/latex/PyQwt.pdf devel-doc
rm sphinx/build/html/.buildinfo
mv sphinx/build/html devel-doc

# non-executable scripts
chmod 755 %{buildroot}/%{python_sitearch}/PyQt4/Qwt5/grace.py
chmod 755 %{buildroot}/%{python_sitearch}/PyQt4/Qwt5/qplt.py


%files
%doc ANNOUNCEMENT-%{version} README
%doc COPYING*
%{python_sitearch}/PyQt4/Qwt5/
%{python_sitearch}/PyQt4/uic/widget-plugins/qwt.py*


%files devel
%doc devel-doc/*
%doc qt4examples/ 
%{_datadir}/sip/PyQt4/Qwt5/


%changelog
* Mon Mar 04 2013 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-20
- drop micro release

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.0-20.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 05 2012 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-19.2
- rebuild (sip)

* Fri Oct 19 2012 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-19
- fix/rebuild for qwt5-qt4 compat pkg

* Wed Oct 03 2012 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-18
- rebuild (sip)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 23 2011 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-15
- rebuild (sip/PyQt4)

* Wed Sep 07 2011 Tadej Janež <tadej.janez@tadej.hicsalta.si> - 5.2.0-14
- changes to the spec file that follow the latest Packaging Guidelines:
  - added %%{?_isa} to arch specific Requires
  - removed %%defattr sections which are no longer necessary
- removed an obsolete work-around which removed files conflicting with the
  PyQt4 package

* Tue Aug 09 2011 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-13
- .spec cosmetics
- rebuild (qwt)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Tadej Janež <tadej.janez@tadej.hicsalta.si> - 5.2.0-11
- changes to the spec file that follow the latest Packaging Guidelines:
  - removed BuildRoot tag
  - removed %%clean section
- removed private shared object provides that were reported by rpmlint
- removed the manual definition of the python_sitearch macro
- simplified the handling of devel documentation files
- minor cosmetic cleanups

* Fri Dec 10 2010 Rex Dieter <rdieter@fedoraproject.org> -  5.2.0-10
- rebuild (sip, #662039))

* Thu Sep 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 5.2.0-9
- rebuild(sip)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 5.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Apr 21 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> - 5.2.0-7
- another rebuild (for qwt-5.2.1, f11+)

* Mon Apr 19 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> - 5.2.0-6
- rebuild (for qwt-5.2.1, f11+)

* Mon Apr 12 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> - 5.2.0-5
- rebuild (for qwt-5.2.0, f11+)

* Thu Jan 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 5.2.0-4 
- rebuild (sip)

* Thu Nov 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 5.2.0-3.1 
- rebuild (for qt-4.6.0-rc1, f13+)

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-3
- Requires: sip-api(%%_sip_api_major) >= %%_sip_api (#537894)

* Wed Oct 28 2009 Tadej Janež <tadej.janez@tadej.hicsalta.si> 5.2.0-2
- made qplt.py executable (to fix a rpmlint error)
- removed html/.buildinfo from sphinx documentation (to fix a rpmlint error)
- changed BuildRequires from numpy to numpy-f2py to cope with the numpy
  package split
- temporarily removed qwt.py* files which conflict with the ones provided
  by the PyQt4 package

* Sun Sep  6 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 5.2.0-1
- Fix FTBFS: Update to 5.2.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Tadej Janež <tadej.janez@tadej.hicsalta.si> 5.1.0-3
- made grace.py executable again

* Fri Jan 09 2009 Tadej Janež <tadej.janez@tadej.hicsalta.si> 5.1.0-2
- disabled support for Numeric and Numarray
- incorporated fixes from package review in BZ472229

* Tue Nov 18 2008 Tadej Janež <tadej.janez@tadej.hicsalta.si> 5.1.0-1
- initial package

